## oraculum

Data parser for [Fedora QA Landing Page](https://pagure.io/fedora-qa/landingpage) and [Fedora Packager Dashboard](https://pagure.io/fedora-qa/packager_dashboard).

Handles caching and querying resources from multiple services like Bodhi, Pagure (dist-git) and many more.

Clone this repo, change to its directory, install dependencies:
```
$ git clone https://pagure.io/fedora-qa/oraculum && cd oraculum
$ pip3 install --user -r requirements.txt
# dnf install redis
```
and finally start the backend server:
```
# systemctl start redis
```
```
$ DEV=true celery -A oraculum.celery_app worker -B
```
```
$ DEV=true python3 runapp.py
```